# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2
from src.generated.Python import knn_pb2 as src_dot_generated_dot_Python_dot_knn__pb2


class KNNStub(object):
    """Interface exported by the server.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.startKNNService = channel.unary_unary(
                '/provee.KNN/startKNNService',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.startKNN.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.stopKNNService = channel.unary_unary(
                '/provee.KNN/stopKNNService',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.getKNNRequest = channel.unary_unary(
                '/provee.KNN/getKNNRequest',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.knnRequest.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.Neighbours.FromString,
                )
        self.getProgress = channel.unary_unary(
                '/provee.KNN/getProgress',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.FromString,
                )
        self.getKNNBatch = channel.unary_unary(
                '/provee.KNN/getKNNBatch',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.knnBatchRequest.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.NeighboursBatch.FromString,
                )
        self.getAllDistances = channel.unary_unary(
                '/provee.KNN/getAllDistances',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.allDistanceKNNRequest.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.distanceList.FromString,
                )


class KNNServicer(object):
    """Interface exported by the server.
    """

    def startKNNService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def stopKNNService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getKNNRequest(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getProgress(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getKNNBatch(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getAllDistances(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_KNNServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'startKNNService': grpc.unary_unary_rpc_method_handler(
                    servicer.startKNNService,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.startKNN.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'stopKNNService': grpc.unary_unary_rpc_method_handler(
                    servicer.stopKNNService,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'getKNNRequest': grpc.unary_unary_rpc_method_handler(
                    servicer.getKNNRequest,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.knnRequest.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.Neighbours.SerializeToString,
            ),
            'getProgress': grpc.unary_unary_rpc_method_handler(
                    servicer.getProgress,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.SerializeToString,
            ),
            'getKNNBatch': grpc.unary_unary_rpc_method_handler(
                    servicer.getKNNBatch,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.knnBatchRequest.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.NeighboursBatch.SerializeToString,
            ),
            'getAllDistances': grpc.unary_unary_rpc_method_handler(
                    servicer.getAllDistances,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.allDistanceKNNRequest.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.distanceList.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'provee.KNN', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class KNN(object):
    """Interface exported by the server.
    """

    @staticmethod
    def startKNNService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/startKNNService',
            src_dot_generated_dot_Python_dot_knn__pb2.startKNN.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def stopKNNService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/stopKNNService',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getKNNRequest(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/getKNNRequest',
            src_dot_generated_dot_Python_dot_knn__pb2.knnRequest.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.Neighbours.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getProgress(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/getProgress',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getKNNBatch(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/getKNNBatch',
            src_dot_generated_dot_Python_dot_knn__pb2.knnBatchRequest.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.NeighboursBatch.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getAllDistances(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.KNN/getAllDistances',
            src_dot_generated_dot_Python_dot_knn__pb2.allDistanceKNNRequest.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.distanceList.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)


class ValidationKNNStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.startKNNService = channel.unary_unary(
                '/provee.ValidationKNN/startKNNService',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.startKNN.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.stopKNNService = channel.unary_unary(
                '/provee.ValidationKNN/stopKNNService',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.getProgress = channel.unary_unary(
                '/provee.ValidationKNN/getProgress',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.FromString,
                )
        self.getAccuracy = channel.unary_unary(
                '/provee.ValidationKNN/getAccuracy',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.accuracyKNN.FromString,
                )
        self.addTransformedPoints = channel.unary_unary(
                '/provee.ValidationKNN/addTransformedPoints',
                request_serializer=src_dot_generated_dot_Python_dot_knn__pb2.addTransformedPointsRequest.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.clearPoints = channel.unary_unary(
                '/provee.ValidationKNN/clearPoints',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )


class ValidationKNNServicer(object):
    """Missing associated documentation comment in .proto file."""

    def startKNNService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def stopKNNService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getProgress(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getAccuracy(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def addTransformedPoints(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def clearPoints(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_ValidationKNNServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'startKNNService': grpc.unary_unary_rpc_method_handler(
                    servicer.startKNNService,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.startKNN.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'stopKNNService': grpc.unary_unary_rpc_method_handler(
                    servicer.stopKNNService,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'getProgress': grpc.unary_unary_rpc_method_handler(
                    servicer.getProgress,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.SerializeToString,
            ),
            'getAccuracy': grpc.unary_unary_rpc_method_handler(
                    servicer.getAccuracy,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=src_dot_generated_dot_Python_dot_knn__pb2.accuracyKNN.SerializeToString,
            ),
            'addTransformedPoints': grpc.unary_unary_rpc_method_handler(
                    servicer.addTransformedPoints,
                    request_deserializer=src_dot_generated_dot_Python_dot_knn__pb2.addTransformedPointsRequest.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'clearPoints': grpc.unary_unary_rpc_method_handler(
                    servicer.clearPoints,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'provee.ValidationKNN', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class ValidationKNN(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def startKNNService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/startKNNService',
            src_dot_generated_dot_Python_dot_knn__pb2.startKNN.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def stopKNNService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/stopKNNService',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getProgress(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/getProgress',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.progressKNN.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getAccuracy(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/getAccuracy',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            src_dot_generated_dot_Python_dot_knn__pb2.accuracyKNN.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def addTransformedPoints(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/addTransformedPoints',
            src_dot_generated_dot_Python_dot_knn__pb2.addTransformedPointsRequest.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def clearPoints(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.ValidationKNN/clearPoints',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
